Create complementary contract affiliations
curl --request PUT \
--url https://app.malibou.com/api/public/v1/organizations/{organizationId}/complementary-contracts/affiliations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"establishmentId": "<string>",
"affiliations": [
{
"employeeId": "<string>",
"complementaryContractId": "<string>",
"status": "active",
"optionId": "<string>"
}
]
}
'import requests
url = "https://app.malibou.com/api/public/v1/organizations/{organizationId}/complementary-contracts/affiliations"
payload = {
"establishmentId": "<string>",
"affiliations": [
{
"employeeId": "<string>",
"complementaryContractId": "<string>",
"status": "active",
"optionId": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
establishmentId: '<string>',
affiliations: [
{
employeeId: '<string>',
complementaryContractId: '<string>',
status: 'active',
optionId: '<string>'
}
]
})
};
fetch('https://app.malibou.com/api/public/v1/organizations/{organizationId}/complementary-contracts/affiliations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created": 123,
"deleted": 123
}
}Complementary Contracts Affiliations
Create complementary contract affiliations
Required scope: org:employee:health_insurance:manage
PUT
/
organizations
/
{organizationId}
/
complementary-contracts
/
affiliations
Create complementary contract affiliations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
⌘I

